Package org.apache.cxf.attachment

# Class Rfc5987Util

java.lang.Object
org.apache.cxf.attachment.Rfc5987Util

public final class Rfc5987Util extends Object
Utility for encoding and decoding values according to RFC 5987. Assumes the caller already knows the encoding scheme for the value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `decode(String s, String encoding)`
  `static String`
  `encode(String s)`
  `static String`
  `encode(String s, String encoding)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### encode

    public static String encode(String s) throws UnsupportedEncodingException
    Throws:
      `UnsupportedEncodingException`

  - ### encode

    public static String encode(String s, String encoding) throws UnsupportedEncodingException
    Throws:
      `UnsupportedEncodingException`

  - ### decode

    public static String decode(String s, String encoding) throws UnsupportedEncodingException
    Throws:
      `UnsupportedEncodingException`